Subject: Re: [Ltru] Re: modification of Prefix fields

From: Addison Phillips <[email-masked]>
Date: Tue, 01 May 2007 08:21:46 -0700

Mark Davis wrote:
>  I'd suggest slightly different wording, since saying that it cannot be 
> removed but can be modified is a bit odd. So I'd suggest:

The modifications are limited, though.

> 
> The collection of fields of type 'Prefix' MUST NOT be changed in a way 
> that narrows the meaning of the subtag. If there is no Prefix, then one 
> cannot be added. 

This sentence bothers me. I know you're trying to prevent true generic 
variants from becoming language specific, but the wording, I think, 
would be confusing.

> If there (is) a Prefix, then others can be added. A Prefix 
> can be removed only if it is redundant: there is another Prefix that 
> covers all of the cases that it does. For example:
>   Prefix: zh-Hant
>   Prefix: zh-Hans
> can be replaced by
>   Prefix: zh
>   Prefix: ru
> This is because addition of zh makes zh-Hant and zh-Hans redundant, so 
> they can be removed, and the addition of "ru" only broadens.
> 

I'll work on incorporating this into draft-06 when I get a chance later 
today.

Addison

-- 
Addison Phillips
Globalization Architect -- Yahoo! Inc.

Internationalization is an architecture.
It is not a feature.

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru